#!/bin/bash
#Extraction Script for SuperX.
#Bitte nicht ändern, diese Datei ist automatisch generiert. 

SRC_PFAD=$MYJOBS_LOAD_PFAD
. ./MYJOBS_ENV
if [ "$SRC_PFAD" = "" ]
then 
SRC_PFAD=.
fi

if [ "$outFormat" = "" ]
then 
outFormat=txt
fi

DATUM=`cat $SRC_PFAD/superx.datum`
ERR=myjobs_unload.err
cp $SRC_PFAD/superx.datum $SRC_PFAD/superx.datum.alt

##Löschen der alten Dateien
rm $SRC_PFAD/unl/*unl >/dev/null 2>&1

date +'%d.%m.%Y' > $SRC_PFAD/superx.datum  ##neues Entladedatum

HEUTE=`date +'%d.%m.%Y'`

echo "Letztes Update-Datum: " $DATUM >$ERR
echo "DATABASE: $DATABASE" >>$ERR
echo "VERSION:  $VERSION" >>$ERR
echo "SX_CLIENT: $SX_CLIENT" >>$ERR 
echo "0.1^"$HEUTE"^" >$SRC_PFAD/unl/superx_unload_version.unl  

cd $SRC_PFAD >>$ERR 2>&1

CP=".:$JDBC_CLASSPATH:$XML_CLASSPATH"

case "`uname`" in
CYGWIN*) 
CP=".;$JDBC_CLASSPATH;$XML_CLASSPATH"
;;
esac

cat /dev/null >unload_params.txt

 
if [ "$start_myjobs_sem" = "" ]
then
start_myjobs_sem="20191"
export start_myjobs_sem
fi
echo "Parameter start_myjobs_sem: $start_myjobs_sem" >>$ERR
echo "\$start_myjobs_sem=$start_myjobs_sem" >>unload_params.txt

 
if [ "$SOURCESYSTEM" = "" ]
then
SOURCESYSTEM="hisinone"
export SOURCESYSTEM

fi
echo "Parameter SOURCESYSTEM: $SOURCESYSTEM"  >>$ERR
echo "\$SOURCESYSTEM=$SOURCESYSTEM" >>unload_params.txt 

#jdbc zum Entladen 
if [ "$SX_CLIENT" = "jdbc" ]
then
java $JAVA_OPTS -cp $CP de.superx.bin.SxExtractor -logger:$LOGGER_PROPERTIES -dbproperties:$DB_PROPERTIES -xml:myjobs_unload.xml -outFormat:$outFormat -delim:$DBDELIMITER -header:$header -database:$DATABASE -version:$VERSION -unload_params:unload_params.txt >>$ERR 2>&1

exit 0

fi


#Nachbearbeitung der unl-Dateien:
#Zumächst maskierte "\ " entfernen, Postgres kommt damit nicht klar


chmod go+r $ERR
chmod go+r $SRC_PFAD/superx.datum
chmod go+r $SRC_PFAD/superx.datum.alt
chmod go+w $SRC_PFAD/superx.datum
chmod go+w $SRC_PFAD/superx.datum.alt

chmod go+r $SRC_PFAD/unl/*

##Herstellen altes Entladedatum bei Fehler
fgrep -s "not found" $ERR >/dev/null
FLAG1=$?
fgrep -i -s "nicht gefunden" $ERR >/dev/null
FLAG2=$?
fgrep -i -s "error" $ERR >/dev/null
FLAG3=$? >/dev/null
fgrep -i -s "exception" $ERR >/dev/null 
FLAG4=$? >/dev/null

if [ $FLAG1 -eq 0 -o $FLAG2 -eq 0 -o $FLAG3 -eq 0 -o $FLAG4 -eq 0 ]
then
	echo "Fehler beim Entladen. Das Datum wird zurückgesetzt." 
	echo "---------------------------------------" 
	echo "Prüfen Sie Fehlerprotokoll: $ERR" 
	echo "---------------------------------------" 
	cp $SRC_PFAD/superx.datum.alt $SRC_PFAD/superx.datum 
fi
